## net.i2p.router.startup
Class ReadConfigJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.startup.ReadConfigJob

All Implemented Interfaces:
  Job

    public class ReadConfigJob

extends JobImpl

Simply read the router config

Constructor Summary
`ReadConfigJob(RouterContext ctx)`

Method Summary
`String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.

Methods inherited from class net.i2p.router.JobImpl
`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReadConfigJob

    public ReadConfigJob(RouterContext ctx)

Method Detail

### getName

    public String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.